<?php
/**
 * Luxeritas WordPress Theme - free/libre wordpress platform
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * @copyright Copyright (C) 2015 Thought is free.
 * @license http://www.gnu.org/licenses/gpl-2.0.html GPL v2 or later
 * @author LunaNuko
 * @link https://thk.kanzae.net/
 * @translators rakeem( http://rakeem.jp/ )
 */
?>
<style>
#thk-blogcard-form {
	display: none;
}
#thk-blogcard-form td {
	white-space: nowrap;
}
#thk-blogcard-form [type="text"] {
	width: 100%;
}
[aria-describedby="thk-blogcard-form"] .ui-button,
[aria-describedby="thk-blogcard-form"] .ui-button:focus {
	display: inline-block;
	font-size: 12px;
	line-height: 28px;
	height: 28px;
	padding: 0 12px 2px;
	cursor: pointer;
	border-width: 1px;
	border-style: solid;
	-webkit-appearance: none;
	border-radius: 3px;
	white-space: nowrap;
	box-sizing: border-box;
	color: #fff!important;
	border-color: #b78b66;
	background: #c7a589;
	box-shadow: 0 1px 0 #ccc;
	vertical-align: top;
}
[aria-describedby="thk-blogcard-form"] .ui-button:hover {
	background: #ccad93;
	border-color: #ae7d55;
	box-shadow: 0 1px 0 #ae7d55;
}
[aria-describedby="thk-blogcard-form"] .ui-button-icon-only .ui-button-icon {
	background-color: #f6f6f6;
	border: 1px solid #c5c5c5;
	position: absolute;
	top: 50%;
	left: 50%;
	margin-top: -8px;
	margin-left: -8px;
}
[aria-describedby="thk-blogcard-form"] .ui-dialog-titlebar-close,
[aria-describedby="thk-blogcard-form"] .ui-dialog-titlebar-close:hover {
	position: absolute!important;
	right: .5em!important;
	top: 50%!important;
	width: 16px!important;
	margin: -10px 0 0 0!important;
	padding: 1px!important;
	height: 16px!important;
	line-height: 1!important;
	background: none!important;
	border: 0!important;
}
[aria-describedby="thk-blogcard-form"] .ui-dialog-titlebar-close span {
	margin: -8px;
}
</style>
<?php

add_action( 'media_buttons', function() {
	$label = __( 'Blog Card', 'luxeritas' );
?>
<a href="#" id="thk-blogcard-action" class="button" title="<?php echo $label; ?>"><span class="thk-blog-card-icon"></span><?php echo $label; ?></a>
<?php
}, 20 );

add_action( 'admin_footer', function() {
?>
<!-- #dialog-form  -->
<div id="thk-blogcard-form" title="<?php echo __( 'Insert Blog Card', 'luxeritas' ); ?>">
    <form>
        <table id="form1">
            <tr>
                <td>URL</td>
                <td><input type="text" id="thk-blogcard-url" name="thk-blogcard-url" value="" size="30" /></td>
            </tr>
            <tr>
                <td><?php echo __( 'Link Text', 'luxeritas' ); ?></td>
                <td><input type="text" id="thk-blogcard-str" name="thk-blogcard-str" value="" size="30" /></td>
            </tr>
            <tr>
                <td></td>
                <td><input type="checkbox" id="thk-blogcard-target" name="thk-blogcard-target" value=""><?php echo __( 'Open link in a new tab', 'luxeritas' ); ?></td>
            </tr>
        </table>
    </form>
</div>

<script>
jQuery(function($) {
	var bc = '#thk-blogcard-'
	,   fm = $(bc + 'form');

	fm.dialog({
		autoOpen: false,
		height: 230,
		width: 'auto',
		maxWidth: 370,
		modal: true,
		buttons: {  // ダイアログに表示するボタンと処理
			"<?php echo __( 'Add Link', 'luxeritas' ); ?>": function() {
				var mce = null
				,   url = $(bc + 'url').val()
				,   str = $(bc + 'str').val()
				,   tgt = $(bc + 'target').prop('checked')
				,   insert = '<a href="' + url + '" data-blogcard="1">' + str + '</a>';

				if( window.tinyMCE ) mce = tinyMCE;

				if( tgt == true ) insert = '<a href="' + url + '" data-blogcard="1" target="_blank">' + str + '</a>';

				if( url == '' || url == null ) return false;

				if( mce !== null && mce.activeEditor && !( mce.activeEditor.isHidden() ) ) {
					// TinyMCE がオープンならそれを使う
					tinyMCE.activeEditor.execCommand( 'mceInsertContent', false, insert )
				} else if(window.parent.QTags) {
					// なければ QTag で挿入
					QTags.insertContent( insert );
				}
				$(this).dialog('close');
				// ダイアログを閉じたらフォーカスを移す
				setTimeout( function(){ $('iframe').eq(0).focus(); }, 0 );
				setTimeout( function(){ $('textarea').eq(0).focus(); }, 0 );
			},
			"<?php echo __( 'Cancel', 'luxeritas' ); ?>": function() {
				$(this).dialog('close');
				// ダイアログを閉じたらフォーカスを移す
				setTimeout( function(){ $('iframe').eq(0).focus(); }, 0 );
				setTimeout( function(){ $('textarea').eq(0).focus(); }, 0 );
			}
		},
	});

	// ブログカードボタンがクリックされたらダイアログを表示
	$(bc + 'action').click( function() {
		fm.dialog('open');
		fm.find(bc + 'url').val('');
		fm.find(bc + 'str').val(''); 
		fm.find(bc + 'target').prop('checked', false);

		// ボタンの色を WordPress の管理画面の配色に合わせた色に変更する
		if( typeof $('body .button-primary')[0] !== 'undefined' ) {
	        	var bp = $('body .button-primary, body .ui-button-icon')
			,   ub = $('body .ui-button')
	        	,   csspa = {
				'background': bp.css('background'),
				'box-shadow': bp.css('box-shadow'),
				'border-color': bp.css('border-color')
			};
			$.each( csspa, function( i, elm ) {
				ub.css( i, elm );
			});
			ub.hover(
				function() {
					$(this).css('opacity', '.85');
				},
				function() {
					$(this).css('opacity', '');
				}
			);
		}
		return false;
	});

	// オーバーレイがクリックされたらダイアログを閉じる
	$(document).on( 'click', '.ui-widget-overlay', function() {
		fm.dialog('close');
		setTimeout( function(){ $('iframe').eq(0).focus(); }, 0 );
		setTimeout( function(){ $('textarea').eq(0).focus(); }, 0 );
	}); 
});
</script>
<?php
});
